1. Calls
Dialgood
  • DG
    • Call Control
      • Mute an active call
      • Unmute an active call
      • Clear Outbound Call Queue
      • Message Announcement
    • Live Status
      • Get transcript and transcript entries for a campaign
      • Get normalized call status and CDR details for a campaign
    • Voices
      • List available voices with optional filters and pagination
    • Calls
      • Place Outbound Call
        POST
      • Get Live Call Transcript
        GET
      • Get Call Transcript
        GET
      • Get Call Records
        GET
      • Get Call Recording
        GET
    • Agents
      • Get Agents
  • Schemas
    • Sample Schemas
      • Pet
      • Category
      • Tag
    • outbound body
    • ErrorResponse
    • ProxyControlRequestBody
    • ProxyControlResponse
    • LiveTranscriptEntry
    • LiveTranscriptResponse
    • CdrStatusResponse
    • VoiceLabels
    • Voice
    • VoicesPaginatedResponse
  1. Calls

Get Call Records

GET
https://api.dialgood.com/external/v1/{agentId}/cdrs

Request

Authorization
API Key
Add parameter in header
api_token
Example:
api_token: ********************
or
API Key
Add parameter in query
api_token
Example:
api_token: ********************
or
Path Params

Query Params

Header Params

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request GET 'https://api.dialgood.com/external/v1//cdrs?from=1765166137025&to=1765252537025&tz=Asia/Calcutta&page=1&limit=10' \
--header 'Accept: application/json' \
--header 'api_token: <api-key>' \
--header 'Content-Type: application/json'
Response Response Example
{
    "data": [
        {
            "_id": "5b5c9678-4ed8-123f-fd94-020089741023",
            "created_at": "2025-12-08T12:57:56.166Z",
            "updated_at": "2025-12-08T12:58:53.184Z",
            "conversationId": "5b5c9678-4ed8-123f-fd94-020089741023",
            "data": {
                "callDuration": 0.93,
                "callStatus": "completed",
                "from": "82w3baeb0asdf-d435-11f0-8efa5-6de94ea649e1",
                "to": "f738a97ebasdf-d812-45d9-91s2c-c5098454cbeb",
                "actualDuration": 56,
                "direction": "inbound",
                "sip_status": 200,
                "sip_reason": "OK",
                "termination": "caller"
            }
        }
    ],
    "totalPages": 1,
    "totalRecords": 1,
    "currentPage": 1
}
Modified at 2026-03-06 05:03:58
Previous
Get Call Transcript
Next
Get Call Recording
Built with